List knowledge stores
This method returns a list of the knowledge stores in your account.
Authentication
x-api-keystring
Your API key.
Note
You can find your API key on the API Keys page.
Query parameters
page
A number that identifies the page to retrieve.
Default: 1.
page_limit
The number of items to return on each page.
Default: 10.
Max: 50.
sort_by
The field to sort on. The following options are available:
created_at: Sorts by the time, in the RFC 3339 format ("YYYY-MM-DDTHH:mm:ssZ"), when the knowledge store was created.updated_at: Sorts by the time, in the RFC 3339 format ("YYYY-MM-DDTHH:mm:ssZ"), when the knowledge store was updated.
Default: created_at.
Allowed values:
sort_option
The sorting direction. The following options are available:
ascdesc
Default: desc.
Response
The knowledge stores have been successfully retrieved.
data
An array containing the knowledge stores.
page_info
An object that provides information about pagination.
Errors
400
Bad Request Error